Package org.tmatesoft.svn.core.wc2.admin

# Class SvnRepositoryHotCopy

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<Long>
org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation<Long>
org.tmatesoft.svn.core.wc2.admin.SvnRepositoryHotCopy

All Implemented Interfaces:
  `ISvnOperationOptionsProvider`

public class SvnRepositoryHotCopy extends SvnRepositoryOperation<Long>

## Constructor Summary

Constructors
Constructor
Description
`SvnRepositoryHotCopy(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`File`
`getNewRepositoryRoot()`
`File`
`getSrcRepositoryRoot()`
`void`
`setNewRepositoryRoot(File newRepositoryRoot)`
`void`
`setSrcRepositoryRoot(File srcRepositoryRoot)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation

`getRepositoryRoot, isChangesWorkingCopy, setRepositoryRoot`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnRepositoryHotCopy

public SvnRepositoryHotCopy(SvnOperationFactory factory)

## Method Details

### getSrcRepositoryRoot

public File getSrcRepositoryRoot()

### setSrcRepositoryRoot

public void setSrcRepositoryRoot(File srcRepositoryRoot)

### getNewRepositoryRoot

public File getNewRepositoryRoot()

### setNewRepositoryRoot

public void setNewRepositoryRoot(File newRepositoryRoot)